# DrugAutoML

**DrugAutoML** is an open-source automated machine learning (AutoML) and statistical evaluation tool designed for bioactivity prediction in drug discovery. It provides data preprocessing, fingerprint generation, model selection, and result analysis pipelines to streamline the machine learning workflow.

## Key Features

- **Data Preprocessing**  
  Cleans and validates SMILES, classifies compounds as active/inactive based on IC50 thresholds.

- **Fingerprint Calculation**  
  Generates Morgan (ECFP) fingerprints for molecular representation.

- **AutoML Pipeline**  
  Automates model training with hyperparameter optimization for multiple ML algorithms.

- **Model Selection & Analysis**  
  Provides cross-validation metrics, ROC/PRC curves, confusion matrices, and SHAP explanations.

